/*
 * connection_Setup.h
 *
 *  Created on: Nov 27, 2017
 *      Author: anay
 */

#ifndef CONNECTION_CONNECTION_SETUP_H_
#define CONNECTION_CONNECTION_SETUP_H_

#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <omnetpp.h>
#include "Connection/connection.h"

class connection_Setup {

    void sendVersionNegotiation();
    void receiveVersionNegotiation(Version_Negotiation *msg);
    void sendClientInitial();
    void receiveClientInitial(Client_Initial *msg);
    void sendClientCleartext();
    void receiveClientCleartext(Client_Cleartext *msg);
    void sendServerStatelessRetry();
    void receiveServerStatelessRetry(Server_Stateless_Retry *msg);
    void sendServerCleartext();
    void receiveServerCleartext(Server_Cleartext *msg);

};


#endif /* CONNECTION_CONNECTION_SETUP_H_ */
